﻿function GetPluginSettings()
{
	return {
		"name":			"Metro",		        // as appears in 'insert object' dialog, can be changed as long as "id" stays the same
		"id":			"Metro",				// this is used to identify this plugin and is saved to the project; never change it
		"version":		"1.0",					// (float in x.y format) Plugin version - C2 shows compatibility warnings based on this
		"description":	"Integrate with Windows when you export your game as Windows 8 Metro app.",
		"author":		"iunkn @ Scirra",
		"help url":     "http://c2metro.wordpress.com/manual/",
		"category":		"Exporters",			// Prefer to re-use existing categories, but you can set anything here
		"type":			"object",				// either "world" (appears in layout and is drawn), else "object"
		"rotatable":	false,					// only used when "type" is "world".  Enables an angle property on the object.
		"flags":		pf_singleglobal,	    // exists project-wide, e.g. mouse, keyboard.  "type" must be "object".
		"dependency":   "Settings-GamePreferences.html;Settings-About.html;Settings-Help.html;Settings-Purchase.html;In-App-Purchase-TestingOnly.xml;viewstates.css"
	};
};


////////////////////////////////////////
// Conditions

// AddCondition(id,					// any positive integer to uniquely identify this condition
//				flags,				// (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
//									// cf_deprecated, cf_incompatible_with_triggers, cf_looping
//				list_name,			// appears in event wizard list
//				category,			// category in event wizard list
//				display_str,		// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
//				description,		// appears in event wizard dialog when selected
//				script_name);		// corresponding runtime function name

 AddCondition(
			0,					    // any positive integer to uniquely identify this condition
			cf_trigger,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"On Game Lost Focus",   // appears in event wizard list
			"Game Window State",	// category in event wizard list
			"On Game Lost Focus",   // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Triggered when the game loses focus due to user invocation of Charms or upon appearance of system dialog box, etc,.", // appears in event wizard dialog when selected
			"OnGameLostFocus");		// corresponding runtime function name

			
AddCondition(  
			2,					    // any positive integer to uniquely identify this condition
			cf_trigger,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"On Game Resized",      // appears in event wizard list
			"Game Window State",    // category in event wizard list
			"On Game Resized",      // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Triggered when user snaps/unsnaps the game window. Get the current state using Metro.WindowViewState expression and act accordingly.", // appears in event wizard dialog when selected
			"OnResize");	        // corresponding runtime function name

AddCondition(
			3,					    // any positive integer to uniquely identify this condition
			cf_none,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"Is Active",        // appears in event wizard list
			"Active",		        // category in event wizard list
			"Is Active", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Check if Metro object is enabled", // appears in event wizard dialog when selected
			"MetroEnabled");		// corresponding runtime function name

AddCondition(  
			10,					    // any positive integer to uniquely identify this condition
			cf_trigger,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"On User Toggled Background Music UI",  // appears in event wizard list
			"Settings-GamePreferences",		// category in event wizard list
			"On User Toggled Background Music UI",    // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Triggered when the user changes the Background Music Toggle in Settings-GamePreferences pane", // appears in event wizard dialog when selected
			"OnGameBackgroundMusicChanged");		// corresponding runtime function name

AddCondition(
			11,					    // any positive integer to uniquely identify this condition
			cf_trigger,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"On User Toggled Sound Effects UI", // appears in event wizard list
			"Settings-GamePreferences",		    // category in event wizard list
			"On User Toggled Sound Effects UI", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Triggered when the user changes the Sound Effects Toggle in Settings-GamePreferences pane", // appears in event wizard dialog when selected
			"OnGameSoundEffectsChanged");		// corresponding runtime function name

AddCondition(
			12,					    // any positive integer to uniquely identify this condition
			cf_trigger,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"On Game Reset", // appears in event wizard list
			"Settings-GamePreferences",		    // category in event wizard list
			"On Game Reset", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Triggered when reset button is clicked in Settings-GamePreferences pane. Notifies that all Local and Roaming data are deleted.", // appears in event wizard dialog when selected
            "OnGameReset");

AddCondition(
			13,					    // any positive integer to uniquely identify this condition
			cf_trigger,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"On Purchase Completed", // appears in event wizard list
			"App License", // category in event wizard list
			"On Purchase Completed", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Triggered when user finishes purchasing the app or finishes an InAppPurchase", // appears in event wizard dialog when selected
            "OnPurchaseCompleted");

AddStringParam("Key", "Enter the name of the key to check.", "\"\"");
AddCondition(
			20,					    // any positive integer to uniquely identify this condition
			cf_none,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"Local Key Exists",     // appears in event wizard list
			"Local App Data",		// category in event wizard list
			"Local key {0} exists", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Check if a key exists in Metro app local storage", // appears in event wizard dialog when selected
			"LocalKeyExists");		// corresponding runtime function name

AddStringParam("Key", "Enter the name of the key to check.", "\"\"");
AddCondition(
			30,					    // any positive integer to uniquely identify this condition
			cf_none,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"Roaming Key Exists",   // appears in event wizard list
			"Roaming App Data",		// category in event wizard list
			"Roaming key {0} exists", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Check if a key exists in Metro app roaming storage", // appears in event wizard dialog when selected
			"RoamingKeyExists");    // corresponding runtime function name

AddCondition(
			40,					    // any positive integer to uniquely identify this condition
			cf_none,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"Is in Trial mode",   // appears in event wizard list
			"App License",		// category in event wizard list
			"Is in Trial mode", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Check if the game is in trial mode", // appears in event wizard dialog when selected
			"IsInTrialMode");    // corresponding runtime function name

AddStringParam("In-App FeatureId", "Enter the feature Id to check if it was purchased by user.", "\"\"");
AddCondition(
			41,					    // any positive integer to uniquely identify this condition
			cf_none,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"Is In-App feature purchased",   // appears in event wizard list
			"App License",		// category in event wizard list
			"Is In-App feature <b>{0}</b> purchased", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Check if the user has purchased the specified In-app feature", // appears in event wizard dialog when selected
			"IsInAppFeaturePurchased");    // corresponding runtime function name

AddCondition(
		    50,					    // any positive integer to uniquely identify this condition
			cf_none,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"Is Accelerometer Available",   // appears in event wizard list
			"Sensors",		// category in event wizard list
			"Is Accelerometer Available", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Check if Accelerometer hardware is available", // appears in event wizard dialog when selected
			"IsAccelerometerAvailable");    // corresponding runtime function name

AddCondition(
		    51,					    // any positive integer to uniquely identify this condition
			cf_trigger,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"On Shaken",   // appears in event wizard list
			"Sensors",		// category in event wizard list
			"On Shaken", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Occurs when the accelerometer detects that the PC has been shaken.", // appears in event wizard dialog when selected
			"OnShaken");    // corresponding runtime function name

AddCondition(
		    52,					    // any positive integer to uniquely identify this condition
			cf_none,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"Is Gyrometer Available",   // appears in event wizard list
			"Sensors",		// category in event wizard list
			"Is Gyrometer Available", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Check if Gyrometer hardware is available", // appears in event wizard dialog when selected
			"IsGyrometerAvailable");    // corresponding runtime function name

AddCondition(
		    53,					    // any positive integer to uniquely identify this condition
			cf_none,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"Is Inclinometer Available",   // appears in event wizard list
			"Sensors",		// category in event wizard list
			"Is Inclinometer Available", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Check if Inclinometer hardware is available", // appears in event wizard dialog when selected
			"IsInclinometerAvailable");    // corresponding runtime function name

AddCondition(
		    54,					    // any positive integer to uniquely identify this condition
			cf_none,		        // (see docs) cf_none, cf_trigger, cf_fake_trigger, cf_static, cf_not_invertible,
								    // cf_deprecated, cf_incompatible_with_triggers, cf_looping
			"Is LightSensor Available",   // appears in event wizard list
			"Sensors",		// category in event wizard list
			"Is LightSensor Available", // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
			"Check if LightSensor hardware is available", // appears in event wizard dialog when selected
			"IsLightSensorAvailable");    // corresponding runtime function name

////////////////////////////////////////
// Actions

// AddAction(id,				// any positive integer to uniquely identify this action
//			 flags,				// (see docs) af_none, af_deprecated
//			 list_name,			// appears in event wizard list
//			 category,			// category in event wizard list
//			 display_str,		// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
//			 description,		// appears in event wizard dialog when selected
//			 script_name);		// corresponding runtime function name

AddAction(0,				        // any positive integer to uniquely identify this action
		  af_none,			        // (see docs) af_none, af_deprecated
		  "Invoke Settings Charm",	// appears in event wizard list
		  "Settings",			    // category in event wizard list
		  "Invoke Settings Charm",	// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Invoke Settings Charm",	// appears in event wizard dialog when selected
		  "InvokeSettingsCharm");	// corresponding runtime function name

AddAction(1,				        // any positive integer to uniquely identify this action
		  af_none,			        // (see docs) af_none, af_deprecated
		  "Invoke Settings Preferences",	// appears in event wizard list
		  "Settings",			    // category in event wizard list
		  "Invoke Settings Preferences",	// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Invoke Settings Preferences",	// appears in event wizard dialog when selected
		  "InvokeSettingsPreferences");	// corresponding runtime function name

AddAction(2,				        // any positive integer to uniquely identify this action
		  af_none,			        // (see docs) af_none, af_deprecated
		  "Invoke Settings Purchase",	// appears in event wizard list
		  "Settings",			    // category in event wizard list
		  "Invoke Settings Purchase",	// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Invoke Settings Purchase",	// appears in event wizard dialog when selected
		  "InvokeSettingsPurchase");	// corresponding runtime function name

AddComboParamOption("On");
AddComboParamOption("Off");
AddComboParam("On", "Select Background Music state to be set in the Windows Settings UI.", 0);
AddAction(10,				        // any positive integer to uniquely identify this action
		  af_none,			        // (see docs) af_none, af_deprecated
		  "Set Background Music UI State", // appears in event wizard list
		  "Settings-GamePreferences", // category in event wizard list
		  "Set Background Music UI State <b>{0}</b>",			// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Set/unset Background Music Toggle's UI State in the Settings-GamePreferences",		// appears in event wizard dialog when selected
		  "SetGameBackGroundMusic");// corresponding runtime function name

AddComboParamOption("On");
AddComboParamOption("Off");
AddComboParam("On", "Select Sound Effects state to be set in the Windows Settings UI.", 0);
AddAction(11,				// any positive integer to uniquely identify this action
		  af_none,			// (see docs) af_none, af_deprecated
		  "Set Sound Effects UI State", // appears in event wizard list
		  "Settings-GamePreferences", // category in event wizard list
		  "Set Sound Effects UI State <b>{0}</b>",			// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Set/unset Sound Effects Toggle's UI State in the Settings-GamePreferences",		// appears in event wizard dialog when selected
		  "SetGameSoundEffects");	// corresponding runtime function name

AddAction(20,				    // any positive integer to uniquely identify this action
		  af_none,			    // (see docs) af_none, af_deprecated
		  "Request Unsnap",	    // appears in event wizard list
		  "Game Window State",  // category in event wizard list
		  "Request Unsnap",	    // as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Request Unsnapping of a snapped game",		// appears in event wizard dialog when selected
		  "RequestUnsnap");	    // corresponding runtime function name


AddStringParam("Tile Update Message", "Specify the string to be updated in Windows live tile for your game", "\"\"");
AddAction(30,				    // any positive integer to uniquely identify this action
		  af_none,			    // (see docs) af_none, af_deprecated
		  "Update Live Tile",	// appears in event wizard list
		  "Notification",       // category in event wizard list
		  "Update Live Tile with message: {0}",	// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Update the Live Tile in Windows with a provided string",		// appears in event wizard dialog when selected
		  "UpdateLiveTile");	    // corresponding runtime function name

AddStringParam("Key", "Enter the name of the key to associate the value with", "\"\"");
AddAnyTypeParam("Value", "Enter the value to store.", "\"\"");
AddAction(40,				    // any positive integer to uniquely identify this action
		  af_none,			    // (see docs) af_none, af_deprecated
		  "Set Local Value",	// appears in event wizard list
		  "Local App Data",     // category in event wizard list
		  "Set Local Key {0} to {1}",	// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Store a value in local app data of Metro app",		// appears in event wizard dialog when selected
		  "StoreLocal");	    // corresponding runtime function name

AddStringParam("Key", "Enter the name of the key to remove", "\"\"");
AddAction(41,				    // any positive integer to uniquely identify this action
		  af_none,			    // (see docs) af_none, af_deprecated
		  "Remove Local Value",	// appears in event wizard list
		  "Local App Data",     // category in event wizard list
		  "Remove Local Key {0}",// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Remove the key-value pair from local app data of Metro app",		// appears in event wizard dialog when selected
		  "RemoveLocal");	    // corresponding runtime function name

AddAction(42,				    // any positive integer to uniquely identify this action
		  af_none,			    // (see docs) af_none, af_deprecated
		  "Clear Local Storage",	// appears in event wizard list
		  "Local App Data",     // category in event wizard list
		  "Clear Local Storage",// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Remove all the key-value pairs from local app data of Metro app",		// appears in event wizard dialog when selected
		  "ClearLocal");	    // corresponding runtime function name

AddStringParam("Key", "Enter the name of the key to associate the value with", "\"\"");
AddAnyTypeParam("Value", "Enter the value to store.", "\"\"");
AddAction(50,				    // any positive integer to uniquely identify this action
		  af_none,			    // (see docs) af_none, af_deprecated
		  "Set Roaming Value",	// appears in event wizard list
		  "Roaming App Data",     // category in event wizard list
		  "Set Roaming Key {0} to {1}",	// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Store a value in roaming app data of Metro app",		// appears in event wizard dialog when selected
		  "StoreRoaming");	    // corresponding runtime function name

AddStringParam("Key", "Enter the name of the key to remove", "\"\"");
AddAction(51,				    // any positive integer to uniquely identify this action
		  af_none,			    // (see docs) af_none, af_deprecated
		  "Remove Roaming Value",	// appears in event wizard list
		  "Roaming App Data",     // category in event wizard list
		  "Remove Roaming Key {0}",// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Remove the key-value pair from roaming app data of Metro app",		// appears in event wizard dialog when selected
		  "RemoveRoaming");	    // corresponding runtime function name

AddAction(52,				    // any positive integer to uniquely identify this action
		  af_none,			    // (see docs) af_none, af_deprecated
		  "Clear Roaming Storage",	// appears in event wizard list
		  "Roaming App Data",     // category in event wizard list
		  "Clear Roaming Storage",// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Remove all the key-value pairs from roaming app data of Metro app",		// appears in event wizard dialog when selected
		  "ClearRoaming");	    // corresponding runtime function name

AddStringParam("AdDivId", "Enter the advertisement div element id to show or hide", "\"\"");
AddComboParamOption("Visible");
AddComboParamOption("Invisible");
AddComboParam("Advertisement Visibility", "Hide or Show Advertisement", 0);
AddAction(60,				// any positive integer to uniquely identify this action
		  af_none,			// (see docs) af_none, af_deprecated
		  "Set Advertisement Visibility", // appears in event wizard list
		  "Advertisement", // category in event wizard list
		  "Set Advertisement ID <b>{0}</b> to be {1}",	// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Hide/Show Advertisement",		// appears in event wizard dialog when selected
		  "SetAdvertisementVisibility");	// corresponding runtime function name

AddAction(70,				    // any positive integer to uniquely identify this action
		  af_none,			    // (see docs) af_none, af_deprecated
		  "Request App Purchase",	// appears in event wizard list
		  "App License",     // category in event wizard list
		  "Request App Purchase",// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Request the user to purchase the full version of this app",		// appears in event wizard dialog when selected
		  "RequestAppPurchase");	    // corresponding runtime function name

AddStringParam("In-App FeatureId", "Enter the feature Id to request the user to purchase", "\"\"");
AddAction(71,				    // any positive integer to uniquely identify this action
		  af_none,			    // (see docs) af_none, af_deprecated
		  "Request In-App Purchase",	// appears in event wizard list
		  "App License",     // category in event wizard list
		  "Request In-App Purchase for feature <b>{0}</b>",// as appears in event sheet - use {0}, {1} for parameters and also <b></b>, <i></i>
		  "Request the user to purchase an in app feature",		// appears in event wizard dialog when selected
		  "RequestInAppPurchase");	    // corresponding runtime function name


////////////////////////////////////////
// Expressions

// AddExpression(id,			// any positive integer to uniquely identify this expression
//				 flags,			// (see docs) ef_none, ef_deprecated, ef_return_number, ef_return_string,
//								// ef_return_any, ef_variadic_parameters (one return flag must be specified)
//				 list_name,		// currently ignored, but set as if appeared in event wizard
//				 category,		// category in expressions panel
//				 exp_name,		// the expression name after the dot, e.g. "foo" for "myobject.foo" - also the runtime function name
//				 description);	// description in expressions panel

AddExpression(0, ef_return_string, "Background Music state",    "Settings-GamePreferences", "BackgroundMusicUIState",   "Game Background Music state (On/Off).");
AddExpression(1, ef_return_string, "Sound Effects state",       "Settings-GamePreferences", "SoundEffectsUIState",      "Game Sound Effects state (On/Off).");
AddExpression(2, ef_return_string, "Game Window View State",    "View State",               "WindowViewState",          "Game Window View State(Snapped | Filled | FullScreenLandscape | FullScreenPortrait)");

AddStringParam("Key", "Key name", "\"\"");
AddExpression(3, ef_return_string, "Get Local Value",           "Local app data",           "LocalValue",               "Get the value from a key in Metro app local storage");

AddStringParam("Key", "Key name", "\"\"");
AddExpression(4, ef_return_string, "Get Roaming Value", "Roaming app data", "RoamingValue", "Get the value from a key in Metro app Roaming storage");

// Deprecated. Use condition IsInAppFeaturePurchased(featureId)
AddExpression(5, ef_return_string|ef_deprecated, "IsInAppPurchaseDone", "Settings-Purchase", "IsInAppPurchaseDone", "In App Purchase Done (Yes/No).");


AddExpression(10, ef_return_number, "AccelerationX", "Sensors", "AccelerationX", "Gets the g-force acceleration along the x-axis.");
AddExpression(11, ef_return_number, "AccelerationY", "Sensors", "AccelerationY", "Gets the g-force acceleration along the y-axis.");
AddExpression(12, ef_return_number, "AccelerationZ", "Sensors", "AccelerationZ", "Gets the g-force acceleration along the z-axis.");

AddExpression(13, ef_return_number, "AngularVelocityX", "Sensors", "AngularVelocityX", "Gets the angular velocity, in degrees per second, about the x-axis.");
AddExpression(14, ef_return_number, "AngularVelocityY", "Sensors", "AngularVelocityY", "Gets the angular velocity, in degrees per second, about the y-axis.");
AddExpression(15, ef_return_number, "AngularVelocityZ", "Sensors", "AngularVelocityZ", "Gets the angular velocity, in degrees per second, about the z-axis.");

AddExpression(16, ef_return_number, "PitchDegrees", "Sensors", "PitchDegrees", "Gets the rotation in degrees around the x-axis.");
AddExpression(17, ef_return_number, "RollDegrees",  "Sensors", "RollDegrees", "Gets the rotation in degrees around the y-axis.");
AddExpression(18, ef_return_number, "YawDegrees",   "Sensors", "YawDegrees", "Gets the rotation in degrees around the z-axis.");

AddExpression(19, ef_return_number, "IlluminanceInLux", "Sensors", "IlluminanceInLux", "Gets the illuminance level in lux.");

////////////////////////////////////////
ACESDone();

////////////////////////////////////////
// Array of property grid properties for this plugin

var property_list = [
    new cr.Property(ept_combo, "Enabled", "True",
        "Set to False so that you can preview your game from within Construct 2. Else you might get error trying to preview with Construct 2 while enabling Windows 8 plugin.", "True|False"),

    new cr.Property(ept_combo, "Show Preferences", "True", "Show Preferences option in Settings Charm", "True|False"),
    new cr.Property(ept_combo, "Show Purchase", "False", "Show Purchase option in Settings Charm", "True|False"),
    new cr.Property(ept_combo, "Show Help", "True", "Show Help option in Settings Charm", "True|False"),
    new cr.Property(ept_combo, "Show About", "True", "Show About option in Settings Charm", "True|False"),

    new cr.Property(ept_combo, "Show Background Music Toggle", "True", "Show Background Musics Toggle in Settings-GamePreferences", "True|False"),
    new cr.Property(ept_combo, "Show Sounds Effects Toggle", "True", "Show Sound Effects Toggle in Settings-GamePreferences", "True|False"),
    new cr.Property(ept_combo, "Show Reset Button", "True", "Show Reset Button in Setings-GamePreferences", "True|False"),

    new cr.Property(ept_combo, "Purchasing Test Mode", "True", "Useful for testing your trial mode/in-app purchase during development. For final build, turn this to False else you will fail WACK. Refer documentation.", "True|False"),

    new cr.Property(ept_combo, "Use Accelerometer", "False", "Set if you game needs Accelerometer", "True|False"),
    new cr.Property(ept_combo, "Use Gyrometer",     "False", "Set if you game needs Gyrometer",     "True|False"),
    new cr.Property(ept_combo, "Use Inclinometer", "False", "Set if you game needs Inclinometer", "True|False"),
    new cr.Property(ept_combo, "Use Light Sensor", "False", "Set if you game needs Light Sensor", "True|False")
];


// Called by IDE when a new object type is to be created
function CreateIDEObjectType()
{
	return new IDEObjectType();
}

// Class representing an object type in the IDE
function IDEObjectType()
{
	assert2(this instanceof arguments.callee, "Constructor called as a function");
}

// Called by IDE when a new object instance of this type is to be created
IDEObjectType.prototype.CreateInstance = function(instance)
{
	return new IDEInstance(instance);
}

// Class representing an individual instance of an object in the IDE
function IDEInstance(instance, type)
{
	assert2(this instanceof arguments.callee, "Constructor called as a function");
	
	// Save the constructor parameters
	this.instance = instance;
	this.type = type;
	
	// Set the default property values from the property table
	this.properties = {};
	
	for (var i = 0; i < property_list.length; i++)
		this.properties[property_list[i].name] = property_list[i].initial_value;
}

// Called when inserted via Insert Object Dialog for the first time
IDEInstance.prototype.OnInserted = function()
{
}

// Called when double clicked in layout
IDEInstance.prototype.OnDoubleClicked = function()
{
}

// Called after a property has been changed in the properties bar
IDEInstance.prototype.OnPropertyChanged = function(property_name)
{
}

// For rendered objects to load fonts or textures
IDEInstance.prototype.OnRendererInit = function(renderer)
{
}

// Called to draw self in the editor if a layout object
IDEInstance.prototype.Draw = function(renderer)
{
}

// For rendered objects to release fonts or textures
IDEInstance.prototype.OnRendererReleased = function(renderer)
{
}